<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/Sys_Log.js此处编写
 -->
 <template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
  <script>
import extend from "@/extension/system/Sys_Log.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "Id",
      footer: "Foots",
      cnName: "系统日志",
      name: "Sys_Log",
      url: "/Sys_Log/",
      sortName: "Id",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      url: "",
      requestParam: "",
      responseParam: "",
      beginDate: "",
    });
    const searchFormOptions = ref([
      [
        { title: "请求地址", field: "url", type: "like" },
        { title: "请求参数", field: "requestParam", type: "like" },
        { title: "响应参数", field: "responseParam", type: "like" },
      ],
      [{ title: "开始时间", field: "beginDate", type: "datetime" }],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "beginDate",
        title: "开始时间",
        type: "datetime",
        width: 140,
        align: "left",
        sortable: true,
      },
      {
        field: "elapsedTime",
        title: "时长",
        type: "int",
        width: 60,
        align: "left",
      },
      {
        field: "endDate",
        title: "结束时间",
        type: "datetime",
        width: 150,
        hidden: true,
        align: "left",
        sortable: true,
      },
      {
        field: "requestParam",
        title: "请求参数",
        type: "string",
        width: 70,
        align: "left",
      },
      {
        field: "responseParam",
        title: "响应参数",
        type: "string",
        width: 70,
        align: "left",
      },
      {
        field: "url",
        title: "请求地址",
        type: "string",
        width: 110,
        align: "left",
      },
      {
        field: "userName",
        title: "用户名称",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "success",
        title: "响应状态",
        type: "int",
        bind: { key: "restatus", data: [] },
        width: 80,
        align: "left",
        hidden: true,
      },
      {
        field: "userIP",
        title: "用户IP",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "userId",
        title: "用户ID",
        type: "int",
        width: 90,
        hidden: true,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
  